io_fd(3)

NAME
io_fd - prepare descriptor for io_wait

SYNTAX
#include <libowfat/io.h>

int io_fd(int64 fd);

DESCRIPTION
If you want to use io_canread() and io_canwrite() on a descriptor, you have to use io_wait() on it first, and io_wait() has to know which descriptors you are interested in. Use io_fd() for this.

io_pipe and io_socketpair already call io_fd for you.

Waiting on descriptors only works for sockets, fifos and pipes. It may also work on devices and TTYs, but that is platform dependent -- you should not rely on that. It does not work on files.

RETURN VALUE
io_fd returns 1 on success, 0 on error.

SEE ALSO
io_wait(3), io_wantread(3), io_canread(3), io_eagain(3), io_nonblock(3)